Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003126KdenliveBuild Systempublic2013-06-21 20:302013-07-03 15:50
Reporteryellow 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformUbuntu 64bit 13.04OSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003126: Build Script Failure - QT4 Related. Since Upgrading from 12.10 to 13.04
DescriptionUsing the build script compilation fails since 'upgrading' from Ubuntu 12.10 to 13.04. Error is:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_QT_INCLUDE_DIR
   used as include directory in directory ..../src/kdenlive/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed

CMake Error at /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:1297 (message):
  Qt compiled without support for -fvisibility=hidden. This will break
  plugins and linking of some applications. Please fix your Qt installation
  (try passing --reduce-exports to configure).
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (find_package)
  CMakeLists.txt:52 (find_package)


-- Configuring incomplete, errors occurred!
ERROR: Unable to configure kdenlive
LOG: Process has finished. Reason: FAILURE Some kind of error occured: Unable to configure kdenlive

I've had this build error for weeks now and just left it hoping that either further Ubuntu updates would fix it or I'd get a reply from Dan on his MLT forum, but after a month since posting over there he's not replied.

So any pointers to what bit of the whole kde / QT4 bit of the jigsaw that's gone since 12.10 -> 13.04 would be appreciated.

The script I'm using I assume is pointing to 0.9 repo's not refactor. Excerpt from build script.

KDENLIVE_HEAD=0
KDENLIVE_REVISION=origin/v0.9
ENABLE_FREI0R=1
FREI0R_HEAD=1

 
TagsNo tags attached.
Build/Install MethodBuild Script
Attached Files

- Relationships

-  Notes
(0009581)
j-b-m (administrator)
2013-07-02 19:36

I just checked and was able to build correctly from the script. Check that the libqt4-dev package is installed.
(0009582)
yellow (reporter)
2013-07-03 15:50

Hi j-b-m,

Yes I'd got all the dev libraries installed as I've been building from source for quite a while now, but I double checked to find I had numerous qt5 related packages installed as well as qt4 dev packages.

I tried using qtchooser to set the default qt version, ie: qt4 but it didn't fix the problem. But removing the qt5 related libraries fixed the kdenlive compiling issue, so now able to build again.

Thanks for the pointer. :-) Solved.

- Issue History
Date Modified Username Field Change
2013-06-21 20:30 yellow New Issue
2013-07-02 19:36 j-b-m Note Added: 0009581
2013-07-02 19:36 j-b-m Assigned To => j-b-m
2013-07-02 19:36 j-b-m Status new => feedback
2013-07-03 15:50 yellow Note Added: 0009582
2013-07-03 15:50 yellow Status feedback => assigned


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker